/*******************************************************************************
 * FoxRemoteInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxRemoteInterface extends Object within FoxGame
    native;

var transient class<FoxDamageType> InstantKillDamageType;
var transient int InstantKillDamageAmount;

exec function BroadcastMessage(const string Message)
{
    // End:0x65
    if(Outer.Role == ROLE_Authority)
    {
        Outer.Broadcast(none, "ADMIN:" @ Message, 'AdminMessage');
    }
    //return;    
}

exec function EndIntermission()
{
    local FoxIntermission Intermission;

    // End:0xDA
    if(Outer.Role == ROLE_Authority)
    {
        Intermission = FoxIntermission(FoxGRI(Outer.WorldInfo.GRI).GameFlow);
        // End:0xDA
        if(Intermission != none)
        {
            Intermission.CloseMapSkipVoting();
            Intermission.GameReadyToStart();
        }
    }
    //return;    
}

exec function EndGame()
{
    local PlayerReplicationInfo PRI;

    PRI = none;
    Outer.EndGame(PRI, "Force ended game");
    //return;    
}

exec function KickPlayer(string PlayerTarget)
{
    // End:0x8C
    if((Outer.Role == ROLE_Authority) && Outer.AccessControl != none)
    {
        Outer.AccessControl.Kick(PlayerTarget);
    }
    //return;    
}

exec function KickBanPlayer(string PlayerTarget)
{
    // End:0x8C
    if((Outer.Role == ROLE_Authority) && Outer.AccessControl != none)
    {
        Outer.AccessControl.KickBan(PlayerTarget);
    }
    //return;    
}

exec function KillPlayer(string PlayerTarget)
{
    local Controller C;

    // End:0x12E
    if((Outer.Role == ROLE_Authority) && Outer.AccessControl != none)
    {
        C = Outer.AccessControl.GetControllerFromString(PlayerTarget);
        // End:0x12E
        if((C != none) && C.Pawn != none)
        {
            C.Pawn.TakeDamage(InstantKillDamageAmount, none, vect(0.0, 0.0, 0.0), vect(0.0, 0.0, -1000.0), InstantKillDamageType);
        }
    }
    //return;    
}

defaultproperties
{
    InstantKillDamageType=class'FoxDamageType_Smite'
    InstantKillDamageAmount=1000
}